#ifndef TASKVIEWWIDGET_H_INCLUDED
#define TASKVIEWWIDGET_H_INCLUDED

#include <Wt/WApplication>
#include <Wt/WContainerWidget>
#include <Wt/WStandardItem>
#include <Wt/WStandardItemModel>
#include <Wt/WString>
#include <Wt/WTreeView>
#include <string>
#include <Wt/WText>
#include <deque>


namespace Wt
{
    class WStandardItem;
    class WStandardItemModel;
    class WTreeView;
    class WText;
    class WContainerWidget;
    class WApplication;
}
using namespace Wt;

class TaskViewWidget: public WTreeView
{
public:
    TaskViewWidget(int nTaskId = -1, WContainerWidget* parent = NULL);
    bool setTaskId(int nTaskId);
private:
    static WStandardItem* checkedItem;
    WContainerWidget    * m_parent;
    WStandardItemModel  * m_model;
    WTreeView           * m_treeView;
    int                   m_taskId;
    int                   m_width;
    int                   m_height;

    void itemChanged(WStandardItem* item);
    bool createModel(int nTaskId);
};

#endif // TASKVIEWWIDGET_H_INCLUDED
